Package org.pentaho.reporting.libraries.repository.dummy

## Class NullOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.pentaho.reporting.libraries.repository.dummy.NullOutputStream

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.Flushable`, `java.io.Serializable`, `java.lang.AutoCloseable`

      public class NullOutputStream
      extends java.io.OutputStream
      implements java.io.Serializable

  A null output stream. All data written to this stream is ignored.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NullOutputStream()` | Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `write​(byte[] bytes)` | Writes to the stream (in this case, does nothing).
    `void` | `write​(byte[] bytes, int off, int len)` | Writes to the stream (in this case, does nothing).
    `void` | `write​(int i)` | Writes to the stream (in this case, does nothing).

    - ### Methods inherited from class java.io.OutputStream

      `close, flush, nullOutputStream`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullOutputStream

          public NullOutputStream()

      Default constructor.

  - ### Method Detail

    - #### write

          public void write​(int i)
                     throws java.io.IOException

      Writes to the stream (in this case, does nothing).
      Specified by:
        `write` in class `java.io.OutputStream`
      Parameters:
        `i` - the value.
      Throws:
        `java.io.IOException` - if there is an I/O problem.

    - #### write

          public void write​(byte[] bytes)
                     throws java.io.IOException

      Writes to the stream (in this case, does nothing).
      Overrides:
        `write` in class `java.io.OutputStream`
      Parameters:
        `bytes` - the bytes.
      Throws:
        `java.io.IOException` - if there is an I/O problem.

    - #### write

          public void write​(byte[] bytes,
                            int off,
                            int len)
                     throws java.io.IOException

      Writes to the stream (in this case, does nothing).
      Overrides:
        `write` in class `java.io.OutputStream`
      Parameters:
        `bytes` - the bytes.
        `off` - the start offset in the data.
        `len` - the number of bytes to write.
      Throws:
        `java.io.IOException` - if there is an I/O problem.